Get the schedule items of the edits for a task type

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
GET /data/projects/{project_id}/schedule-items/{task_type_id}/edits

Get the schedule items of the edits of a project, for a task type. A schedule item gives the start date and the end date of a part of the production in the schedule. Give episode_id to get the items of one episode. Vendors cannot use this route.

Path parameters

  • project_id string(uuid) Required

    Project unique identifier

  • task_type_id string(uuid) Required

    Task type unique identifier

Query parameters

  • episode_id string(uuid)

    Restrict results to edits of the given episode

Responses

  • 200 application/json

    The list of schedule items

  • 400

    An identifier is not a valid UUID

  • 403

    You do not have access to this project, or you are a vendor

GET /data/projects/{project_id}/schedule-items/{task_type_id}/edits
curl \
 --request GET '/api/data/projects/a24a6ea4-ce75-4665-a070-57453082c250/schedule-items/b35b7fb5-df86-5776-b181-68564193d360/edits' \
 --header "Authorization: $API_KEY"
Response examples (200)
[
  {}
]